@echo off

rem don't modify the caller's environment
setlocal

rem Set up prog to be the path of this script, including following symlinks,
rem and set up progdir to be the fully-qualified pathname of its directory.
set prog=%~f0

rem Change current directory and drive to where the script is, to avoid
rem issues with directories containing whitespaces.
cd /d %~dp0

rem Add default jre6 path
set PATH=%PATH%;%~dp0..\jre6\bin

rem Check we have a valid Java.exe in the path.
set java_exe=
call tools\lib\find_java.bat
if not defined java_exe goto :EOF

set jarfile=MIUIThemeEditor.jar
set frameworkdir=
set libdir=

set jarpath=%frameworkdir%%jarfile%

call %java_exe% -Djava.ext.dirs=%frameworkdir% -jar %jarpath% %*
